Creates a Primary Use
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Request Body
PrimaryUseCreate
| Property | Description | Type |
|---|---|---|
| primaryUseCode | The Primary Use Code Required Must be between 0 and 64 characters | string |
| primaryUseInfo | The Primary Use Info Required Must be between 0 and 64 characters | string |
| primaryUseType | The Primary Use Type. Possible value include: “place” and “meter” Required One of ‘place’, ‘meter’ | string |
Example Request Body
{ "primaryUseCode": "string", "primaryUseInfo": "string", "primaryUseType": "string"
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
PrimaryUseResponse
| Property | Description | Type |
|---|---|---|
| primaryUseCode | string | |
| primaryUseId | integer (int32) | |
| primaryUseInfo | string | |
| primaryUseType | string |
Example Response
{ "primaryUseCode": "string", "primaryUseId": 1, "primaryUseInfo": "string", "primaryUseType": "string"
}